import type { Gradient } from './interface';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    type: {
        readonly type: import("vue").PropType<import("./interface").Type>;
        readonly default: "default";
    };
    size: {
        readonly type: import("vue").PropType<import("./interface").Size>;
        readonly default: "middle";
    };
    strong: BooleanConstructor;
    italic: BooleanConstructor;
    tag: {
        readonly type: StringConstructor;
        readonly default: "span";
    };
    gradient: {
        readonly type: import("vue").PropType<string | Gradient>;
    };
}>, {
    prefixCls: string;
    textClass: import("vue").ComputedRef<{
        [x: string]: string | boolean;
    }>;
    gradientStyle: import("vue").ComputedRef<{
        backgroundImage: string;
        color?: undefined;
    } | {
        color: string;
        backgroundImage?: undefined;
    } | {
        backgroundImage?: undefined;
        color?: undefined;
    }>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    type: {
        readonly type: import("vue").PropType<import("./interface").Type>;
        readonly default: "default";
    };
    size: {
        readonly type: import("vue").PropType<import("./interface").Size>;
        readonly default: "middle";
    };
    strong: BooleanConstructor;
    italic: BooleanConstructor;
    tag: {
        readonly type: StringConstructor;
        readonly default: "span";
    };
    gradient: {
        readonly type: import("vue").PropType<string | Gradient>;
    };
}>> & Readonly<{}>, {
    type: import("./interface").Type;
    size: import("./interface").Size;
    strong: boolean;
    italic: boolean;
    tag: string;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
